function MayronUI_MiniMap:OnEnable()
	local mui = MayronUI.db.profile.MiniMap
	Minimap:ClearAllPoints()
	
	local font = CreateFont("MUI_ButtonFont");
	font:SetFontObject(GameFontNormal);
	font:SetTextColor(MUI_COLOR.r, MUI_COLOR.g, MUI_COLOR.b, 1);
	font = nil;
	
	if (mui.point) then	
		Minimap:SetPoint(mui.point, mui.relativeTo, mui.relativePoint, mui.x, mui.y)
	else
		Minimap:SetPoint("TOPRIGHT", UIParent, "TOPRIGHT", -4, -4)
	end	
	Minimap:SetWidth(mui.width or 200);
	Minimap:SetHeight(mui.height or 200);
	Minimap:SetScale(mui.scale or 1);
	
	Minimap:SetMaskTexture('Interface\\ChatFrame\\ChatFrameBackground')
	
	if ( (MayronUI.db.profile.MiniMap.ReAnchor) and (IsAddOnLoaded("Bazooka")) ) then
		if (_G["BazookaBar_1"]) then
			BazookaBar_1:ClearAllPoints()
			BazookaBar_1:SetPoint("TOPRIGHT", Minimap, "BOTTOMRIGHT", 0, -2)
			BazookaBar_1:SetPoint("TOPLEFT", Minimap, "BOTTOMLEFT", 0, -2)
			local bottom = BazookaBar_1:GetBottom() -- bottotm of screen
			local left = BazookaBar_1:GetLeft() -- left of screen
			local loc = BazookaDB["profiles"]["Default"]["bars"][1];
			loc["frameWidth"] = BazookaBar_1:GetWidth();
			loc["point"] = "BOTTOMLEFT";
			loc["relPoint"] = "BOTTOMLEFT";
			loc["y"] = bottom;
			loc["x"] = left;
		end		
		MayronUI.db.profile.MiniMap.ReAnchor = nil;							
	end
	
	--Hide
	MiniMapInstanceDifficulty:ClearAllPoints()
	MiniMapInstanceDifficulty:Hide()

	GuildInstanceDifficulty:ClearAllPoints();
	GuildInstanceDifficulty:Hide();

	MinimapBorder:Hide();
	MinimapBorderTop:Hide();
	MinimapZoomIn:Hide();
	MinimapZoomOut:Hide();
	MiniMapVoiceChatFrame:Hide();
	MinimapZoneTextButton:Hide();
	GameTimeFrame:Hide();
	MiniMapWorldMapButton:Hide();
	MiniMapWorldMapButton:Hide();
	MinimapNorthTag:SetTexture(nil);
	
	-- LFG Icon:
	QueueStatusMinimapButton:SetParent(Minimap);
	QueueStatusMinimapButton:ClearAllPoints();
	QueueStatusMinimapButton:SetPoint("BOTTOMLEFT", -4, -4);
	QueueStatusMinimapButtonBorder:Hide();
	
	-- Clock:
	TimeManagerClockButton:DisableDrawLayer("BORDER");
	TimeManagerClockButton:ClearAllPoints();
	TimeManagerClockButton:SetPoint("BOTTOMRIGHT", Minimap, "BOTTOMRIGHT", 0, 0);	
	TimeManagerClockTicker:SetFontObject("GameFontNormal");
	TimeManagerClockTicker:ClearAllPoints();
	TimeManagerClockTicker:SetPoint("BOTTOMRIGHT", TimeManagerClockButton, "BOTTOMRIGHT", -5, 5);
	TimeManagerClockTicker:SetJustifyH("RIGHT");
	TimeManagerClockTicker:SetTextColor(MUI_COLOR.r, MUI_COLOR.g, MUI_COLOR.b);
	TimeManagerClockButton:HookScript("OnEnter", function(self)
		TimeManagerClockTicker:SetTextColor(1, 1, 1, 1);
	end)
	TimeManagerClockButton:HookScript("OnLeave", function(self)
		TimeManagerClockTicker:SetTextColor(MUI_COLOR.r, MUI_COLOR.g, MUI_COLOR.b, 1);
	end)	

	-- Mail:
	MiniMapMailFrame:ClearAllPoints();
	MiniMapMailFrame:SetPoint("BOTTOMRIGHT", Minimap, "BOTTOMRIGHT", 4, 4);
	MiniMapMailFrame:SetAlpha(0.7);
	MiniMapMailIcon:SetTexture(MUI_MEDIA .. "mail.tga");
	MiniMapMailBorder:Hide();
	
	-- Mouse Wheel and "Blob" ring
	Minimap:EnableMouseWheel(true)
	Minimap:SetArchBlobRingScalar(0) 
	Minimap:SetQuestBlobRingScalar(0)
	Minimap:SetScript("OnMouseWheel", function(self, minimap)
		if (minimap > 0) then
			MinimapZoomIn:Click()
		elseif minimap < 0 then
			MinimapZoomOut:Click()
		end
	end)
	
	Minimap.movetxt = Minimap:CreateFontString(nil, "BACKGROUND")
	Minimap.movetxt:SetFontObject(GameFontNormal);
	Minimap.movetxt:SetPoint("TOPRIGHT", Minimap, "TOPRIGHT", -8, -5);
	Minimap.movetxt:SetText("Move forward\nto align texture!");
	Minimap.movetxt:SetJustifyH("RIGHT");
	Minimap.movetxt:Hide()
	
	Minimap.size = Minimap:CreateFontString(nil, "ARTWORK")
	Minimap.size:SetFontObject(GameFontNormalLarge);
	Minimap.size:SetPoint("TOP", Minimap, "BOTTOM", 0, 40);
	
	Minimap:SetResizable(true)
	Minimap:SetMovable(true)
	Minimap:SetMaxResize(400, 400)
	Minimap:SetMinResize(120, 120)
	Minimap:SetClampedToScreen(true)
	Minimap:SetClampRectInsets(-3, 3, 3, -3);
	
	Minimap:SetBackdrop( { 
		bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background-Dark", 
		edgeFile = MUI_MEDIA.."Borders\\Skinner.tga", 
		edgeSize = 1,
		insets = { left = 0, right = 0, top = 0, bottom = 0 }
	});
	Minimap:SetBackdropBorderColor(0,0,0)
	
	local timer = CreateFrame("Frame");
	Minimap:RegisterForDrag("LeftButton");
	Minimap:SetScript("OnDragStart", function(self) 
		if ( not IsShiftKeyDown() and IsControlKeyDown() ) then
			Minimap:StartMoving()	
		elseif ( IsShiftKeyDown() and not IsControlKeyDown() ) then
			Minimap:StartSizing()
			Minimap.movetxt:Show()		
			timer:SetScript("OnUpdate", function(self, elapsed)
				self.last = (self.last or 0) + elapsed; 
				while (self.last > 0.2) do
					local width = ( math.floor(Minimap:GetWidth() + 100) - 100)
					local height = ( math.floor(Minimap:GetHeight() + 100) - 100)
					Minimap.size:SetText(width.." x "..height)
					self.last = self.last - 0.2;
				end			
			end)			
		end
	end) 
	Minimap:SetScript("OnDragStop", function() 
		local w, h = Minimap:GetSize();
		if ( h > w) then
			Minimap:SetSize(w, w);
		end
		Minimap:StopMovingOrSizing();
		mui.point, mui.relativeTo, mui.relativePoint, mui.x, mui.y = Minimap:GetPoint();
		mui.x = math.floor(mui.x + 0.5);
		mui.y = math.floor(mui.y + 0.5);
		if (mui.point == "TOPRIGHT" and mui.relativePoint == "TOPRIGHT" and mui.x == -4 and mui.y == -4) then
			mui.point, mui.relativeTo, mui.relativePoint, mui.x, mui.y = nil;
		end
		mui.width, mui.height = Minimap:GetSize();
		mui.width = math.floor(mui.width + 0.5);
		mui.height = math.floor(mui.height + 0.5);
		if (mui.width == 200) then 
			mui.width = nil;
			end
		if (mui.height == 200) then 
			mui.height = nil;
			end
		Minimap.size:SetText("");
		timer:SetScript("OnUpdate", nil)
	end)
	Minimap:SetScript("OnEnter", function(self)
		if (MayronUI.db.profile.MiniMap.Tooltip) then return end	
		GameTooltip:SetOwner(self, "ANCHOR_BOTTOM", 0, -2)
		GameTooltip:SetText("MayronUI MiniMap");  -- This sets the top line of text, in gold.
		GameTooltip:AddDoubleLine("CTRL + Drag:", "Move Minimap", 1, 1, 1);
		GameTooltip:AddDoubleLine("SHIFT + Drag:", "Resize Minimap", 1, 1, 1);
		GameTooltip:AddDoubleLine("Left Click:", "Ping Minimap", 1, 1, 1);
		GameTooltip:AddDoubleLine("Mouse Click:", "Show Tracking Menu", 1, 1, 1);
		GameTooltip:AddDoubleLine("Right Click:", "Show Menu", 1, 1, 1);		
		GameTooltip:AddDoubleLine("Mouse Wheel:", "Zoom in/out", 1, 1, 1);
		GameTooltip:AddDoubleLine("ALT + Left Click:", "Toggle this Tooltip", 1, 0, 0, 1, 0, 0);
		GameTooltip:Show();
	end)	
	Minimap:HookScript("OnMouseDown", function(self, button)		
		if ( (IsAltKeyDown()) and (button == "LeftButton") ) then
			if (MayronUI.db.profile.MiniMap.Tooltip) then
				MayronUI.db.profile.MiniMap.Tooltip = nil;
				Minimap:GetScript("OnEnter")(self);
			else
				MayronUI.db.profile.MiniMap.Tooltip = true;
				GameTooltip:Hide();
			end
		end
	end)
	
	-- Calendar Button:
	local MUI_Calendar = CreateFrame("Button", nil, Minimap);
	MUI_Calendar:SetPoint("BOTTOM", Minimap, "BOTTOM", 0, -18);
	MUI_Calendar:SetSize(100, 20);
	MUI_Calendar:SetNormalFontObject("GameFontNormal");
	MUI_Calendar:SetHighlightFontObject("GameFontHighlight");
	MUI_Calendar:SetScript("OnClick", function()
		if (not CalendarFrame) then 
			LoadAddOn("Blizzard_Calendar") 
		end
		Calendar_Toggle();
	end)
	MUI_Calendar:RegisterEvent('CALENDAR_UPDATE_PENDING_INVITES');
	MUI_Calendar:RegisterEvent('CALENDAR_ACTION_PENDING');
	MUI_Calendar:RegisterEvent('PLAYER_ENTERING_WORLD');
	MUI_Calendar:SetScript('OnEvent',function()
		if (CalendarGetNumPendingInvites() > 0) then
			MUI_Calendar:SetText(string.format("%s (%i)", "New Event!", (CalendarGetNumPendingInvites())));
		else
			MUI_Calendar:SetText("");
		end
	end)
	-- Drop down List:
	local menuFrame = CreateFrame("Frame", "MinimapRightClickMenu", UIParent, "UIDropDownMenuTemplate")
	local menuList = {
		{
			text = "Calendar",
			func = function()
				if (not CalendarFrame) then LoadAddOn("Blizzard_Calendar") end
				Calendar_Toggle();
			end
		},
		{ 
			text = "Customer Support", 
			func = function() ToggleHelpFrame() end 
		},
		{ 
			text = "Garrison Report/Followers", 
			func = function() GarrisonLandingPage_Toggle() end 
		},
		{ 
			text = "Tracking Drop Down Menu", 
			func = function()  
				ToggleDropDownMenu(1, nil, MiniMapTrackingDropDown, "MiniMapTracking", 0, -5);
				PlaySound("igMainMenuOptionCheckBoxOn");
			end 
		},
		{ 
			text = "MUI Config Menu", 
			func = function()  
				if (InCombatLockdown()) then
					print("Cannot access config menu while in combat.")
				else
					MayronUI.LoadGUI();
					LibStub("AceConfigDialog-3.0"):Open("MayronUI Config");
				end				
			end 
		},
		{ 
			text = "MUI Installer", 
			func = function()  
				if (MUI_Setup) then 
					MUI_Setup:Show();
				else
					MayronUI_SetupUI:Enable();
				end			
			end 
		},				
	}
	if ( IsAddOnLoaded("GroupCalendar5") ) then
		table.insert(menuList, { text = "Group Calendar", func = function() GroupCalendar.UI.Window:Show() end } )
	end
	if ( IsAddOnLoaded("Leatrix_Plus") and leatrix ) then
		table.insert(menuList, { text = "Leatrix Plus", func = function() leatrix() end } )
	end
	
	Minimap:SetScript("OnMouseUp", function(self, btn)
		if (btn == "RightButton") then
			EasyMenu(menuList, menuFrame, "cursor", 0, 0, "MENU", 1);
		elseif (btn == "MiddleButton") then
			ToggleDropDownMenu(1, nil, MiniMapTrackingDropDown, "MiniMapTracking", 0, -5);
            PlaySound("igMainMenuOptionCheckBoxOn");
		else
			Minimap_OnClick(self);
		end
	end)
	
	-- Difficulty Text:
	local mode = CreateFrame("Frame", nil, Minimap);
	mode:SetPoint("TOPRIGHT", Minimap, "TOPRIGHT", 0, 0);
	mode:SetSize(26, 18);
	mode:RegisterEvent("PLAYER_ENTERING_WORLD");
	mode:RegisterEvent("PLAYER_DIFFICULTY_CHANGED");
	mode:RegisterEvent("GROUP_ROSTER_UPDATE");	
	mode.txt = mode:CreateFontString(nil, "OVERLAY");
	mode.txt:SetFontObject("MUI_ButtonFont");	
	mode.txt:SetPoint("TOPRIGHT", mode, "TOPRIGHT", -5, -5);

	mode:SetScript("OnEvent", function() 
		local inInstance, _ = IsInInstance();
		if (inInstance) then
			local difficulty = select(4, GetInstanceInfo());
			if (difficulty == "Heroic") then
				difficulty = "H";
			elseif (difficulty == "Mythic") then	
				difficulty = "M";
			elseif (difficulty == "Looking For Raid") then
				difficulty = "RF";
			else
				difficulty = "";
			end
			local players = GetNumGroupMembers();
			players = (players > 0 and players) or 1;
			mode.txt:SetText(players .. difficulty);
		else
			mode.txt:SetText("")
		end
	end)
	
	--Tracker Button:
	MiniMapTrackingBackground:Hide();
	MiniMapTracking:Hide();	
	
	-- Garrison Mission Complete Button:
	-- Garrison Button needs to be shown in order for Keybinding "Toggle Garrison Report" to work as it uses Click();
	-- So need to make Button unnoticeable:
	GarrisonLandingPageMinimapButton:SetSize(1, 1)
	GarrisonLandingPageMinimapButton:SetAlpha(0);
	GarrisonLandingPageMinimapButton:ClearAllPoints();
	GarrisonLandingPageMinimapButton:SetPoint("BOTTOMLEFT", UIParent, "TOPRIGHT", 0, 5);
	
	-- Garrison Icon (old style):
	--[[GarrisonLandingPageMinimapButton:SetSize(25, 25);
	GarrisonLandingPageMinimapButton:ClearAllPoints();
	GarrisonLandingPageMinimapButton:SetPoint("TOPRIGHT", Minimap, "TOPRIGHT", -4, -4);
	GarrisonLandingPageMinimapButton:GetNormalTexture():SetTexCoord(0.32, 0.7, 0.32, 0.7);
	GarrisonLandingPageMinimapButton:GetPushedTexture():SetTexCoord(0.32, 0.7, 0.32, 0.7);
	GarrisonLandingPageMinimapButton:HookScript("OnShow", function(self)
		select(9, self:GetRegions()):Hide() -- glow ring
	end);]]
	
	local missionbtn = CreateFrame("Button", "missionbtn", Minimap);
	missionbtn:SetPoint("TOPLEFT", Minimap, "TOPLEFT", 0, 0);
	missionbtn:SetSize(26, 18);
	missionbtn:SetNormalFontObject("MUI_ButtonFont");
	missionbtn:SetHighlightFontObject("GameFontHighlight");	

	missionbtn:SetScript("OnClick", GarrisonLandingPage_Toggle)
	missionbtn:RegisterEvent('GARRISON_MISSION_LIST_UPDATE');
	missionbtn:RegisterEvent('GARRISON_MISSION_FINISHED');
	missionbtn:RegisterEvent('GARRISON_MISSION_NPC_OPENED');
	missionbtn:RegisterEvent('GARRISON_MISSION_STARTED');
	missionbtn:RegisterEvent('PLAYER_ENTERING_WORLD');
	missionbtn:SetScript('OnEvent',function(self, event)
		local total = #C_Garrison.GetInProgressMissions();		
		local completed = #C_Garrison.GetCompleteMissions();			
		if (total < completed) then 
			total = completed;
		end
		if (total > 0) then
			self:Show();
			self:SetText(string.format("%i/%i", completed, total));
		else
			self:SetText("");
			self:Hide();
			return
		end
		local str = missionbtn:GetFontString()
		if (not str) then return end
		str:ClearAllPoints()
		str:SetPoint("TOPLEFT", missionbtn, "TOPLEFT", 5, -5);
	end)
	missionbtn:SetScript("OnEnter", function(self)
		GameTooltip:SetOwner(self, "ANCHOR_BOTTOM", 0, -2)
		GameTooltip:SetText("Garrison Missions");  -- This sets the top line of text, in gold.
		GameTooltip:AddLine("Missions Complete / Total Active Missions", 1, 1, 1);
		GameTooltip:Show();
	end)
end