MayronUI_SetupUI.Import["TotemTimers"] = function()
	if ( MayronUI_SetupUI:IsEnabled() ) then
		local settings = {
			["default"] = {
				["ShowTimerBars"] = true,
				["CrowdControlHex"] = true,
				["EnhanceCDsTimeHeight"] = 12,
				["TimerSpacing"] = 9,
				["EnhanceCDs_Spells"] = {
					{
						true, -- [1]
						true, -- [2]
						true, -- [3]
						true, -- [4]
						true, -- [5]
						true, -- [6]
						true, -- [7]
						true, -- [8]
						true, -- [9]
						true, -- [10]
						true, -- [11]
						[20] = true,
					}, -- [1]
					{
						true, -- [1]
						true, -- [2]
						true, -- [3]
						true, -- [4]
						true, -- [5]
						true, -- [6]
						true, -- [7]
						true, -- [8]
						true, -- [9]
						true, -- [10]
						true, -- [11]
						[21] = true,
						[22] = true,
						[20] = true,
					}, -- [2]
					{
						true, -- [1]
						true, -- [2]
						true, -- [3]
						true, -- [4]
						true, -- [5]
						true, -- [6]
						true, -- [7]
						[20] = true,
					}, -- [3]
				},
				["LastWeaponEnchant"] = "Flametongue Weapon",
				["HideInVehicle"] = true,
				["EnhanceCDsOOCAlpha"] = 0.4,
				["TotemTimerBarWidth"] = 68,
				["TooltipsAtButtons"] = true,
				["TimeFont"] = "Friz Quadrata TT",
				["FulminationAura"] = true,
				["FlashRed"] = true,
				["Show"] = true,
				["EnhanceCDs"] = false,
				["EnhanceCDs_Clickthrough"] = false,
				["Warnings"] = {
					["TotemWarning"] = {
						["a"] = 1,
						["r"] = 1,
						["b"] = 0,
						["g"] = 0,
						["text"] = "Totem Expiring",
						["sound"] = "",
						["enabled"] = false,
					},
					["TotemDestroyed"] = {
						["a"] = 1,
						["r"] = 1,
						["b"] = 0,
						["g"] = 0,
						["text"] = "Totem Destroyed",
						["sound"] = "",
						["enabled"] = false,
					},
					["TotemExpiration"] = {
						["a"] = 1,
						["r"] = 1,
						["b"] = 0,
						["g"] = 0,
						["text"] = "Totem Expired",
						["sound"] = "",
						["enabled"] = false,
					},
					["Shield"] = {
						["a"] = 1,
						["r"] = 1,
						["b"] = 0,
						["g"] = 0,
						["text"] = "Shield removed",
						["sound"] = "",
						["enabled"] = false,
					},
					["EarthShield"] = {
						["a"] = 1,
						["r"] = 1,
						["b"] = 0,
						["g"] = 0,
						["text"] = "Shield removed",
						["sound"] = "",
						["enabled"] = false,
					},
					["Maelstrom"] = {
						["a"] = 1,
						["r"] = 1,
						["b"] = 0,
						["g"] = 0,
						["text"] = "Maelstrom Notifier",
						["sound"] = "",
						["enabled"] = false,
					},
					["Weapon"] = {
						["a"] = 1,
						["r"] = 1,
						["b"] = 0,
						["g"] = 0,
						["text"] = "Totem Expired",
						["sound"] = "",
						["enabled"] = false,
					},
				},
				["ColorTimerBars"] = false,
				["TimerTimePos"] = "LEFT",
				["TimerTimeHeight"] = 18,
				["ShieldLeftButton"] = "Lightning Shield",
				["LastOffEnchants"] = {
					[103847] = {
						"", -- [1]
						"INTERFACE\\ICONS\\spell_shaman_unleashweapon_flame", -- [2]
					},
					[103340] = {
						"", -- [1]
						"INTERFACE\\ICONS\\spell_shaman_unleashweapon_flame", -- [2]
					},
				},
				["HiddenTotems"] = {
				},
				["Lock"] = false,
				["LavaSurgeAura"] = true,
				["CrowdControlArrange"] = "horizontal",
				["Tracker_Clickthrough"] = false,
				["StopPulse"] = false,
				["TrackerArrange"] = "free",
				["EarthShieldTracker"] = false,
				["AnkhTracker"] = false,
				["CheckRaidRange"] = true,
				["LongCooldowns"] = false,
				["ProcFlash"] = false,
				["EarthShieldButton4"] = "player",
				["FlameShockDurationOnTop"] = false,
				["LongCooldownSpells"] = {
					[108285] = true,
					[108271] = true,
					[114049] = true,
					[2825] = true,
					[79206] = true,
					[51533] = true,
					[108281] = true,
					[16166] = true,
					[32182] = true,
					[16188] = true,
				},
				["EnhanceCDsMaelstromHeight"] = 14,
				["ReverseBarBindings"] = false,
				["CrowdControlSize"] = 30,
				["CrowdControlClickthrough"] = false,
				["LavaSurgeGlow"] = true,
				["TimerPositions"] = {
					{
						"CENTER", -- [1]
						nil, -- [2]
						"CENTER", -- [3]
						-50, -- [4]
						-40, -- [5]
					}, -- [1]
					{
						"CENTER", -- [1]
						nil, -- [2]
						"CENTER", -- [3]
						-70, -- [4]
						0, -- [5]
					}, -- [2]
					{
						"CENTER", -- [1]
						nil, -- [2]
						"CENTER", -- [3]
						-30, -- [4]
						0, -- [5]
					}, -- [3]
					{
						"CENTER", -- [1]
						nil, -- [2]
						"CENTER", -- [3]
						-50, -- [4]
						40, -- [5]
					}, -- [4]
					{
						"CENTER", -- [1]
						"UIParent", -- [2]
						"CENTER", -- [3]
						0, -- [4]
						0, -- [5]
					}, -- [5]
					{
						"CENTER", -- [1]
						"UIParent", -- [2]
						"CENTER", -- [3]
						0, -- [4]
						0, -- [5]
					}, -- [6]
					{
						"CENTER", -- [1]
						"UIParent", -- [2]
						"CENTER", -- [3]
						0, -- [4]
						0, -- [5]
					}, -- [7]
					{
						"CENTER", -- [1]
						"UIParent", -- [2]
						"CENTER", -- [3]
						0, -- [4]
						0, -- [5]
					}, -- [8]
				},
				["CheckPlayerRange"] = true,
				["TrackerTimeHeight"] = 12,
				["ShowKeybinds"] = false,
				["TimerBarTexture"] = "ChiselLight",
				["EnhanceCDsSize"] = 30,
				["ShowCooldowns"] = false,
				["TimerBarColor"] = {
					["a"] = 1,
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["TotemMenuSpacing"] = 0,
				["ESMainTankMenu"] = true,
				["ShowRaidRangeTooltip"] = true,
				["OpenOnRightclick"] = false,
				["LastWeaponEnchant2"] = "Flametongue Weapon",
				["TimerSize"] = 24,
				["TrackerSize"] = 30,
				["ActivateHiddenTimers"] = false,
				["CrowdControlTimePos"] = "BOTTOM",
				["CrowdControlEnable"] = false,
				["ESMainTankMenuDirection"] = "auto",
				["TrackerTimeSpacing"] = 0,
				["TimerTimeSpacing"] = 8,
				["EarthShieldLeftButton"] = "recast",
				["CooldownSpacing"] = 5,
				["TimeColor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 1,
				},
				["TrackerTimePos"] = "RIGHT",
				["Arrange"] = "vertical",
				["TrackerTimerBarWidth"] = 36,
				["CrowdControlBindElemental"] = true,
				["ShieldTracker"] = false,
				["CastBarDirection"] = "left",
				["MiniIcons"] = true,
				["Order"] = {
					1, -- [1]
					2, -- [2]
					3, -- [3]
					4, -- [4]
				},
				["EnhanceCDs_Order"] = {
					{
						1, -- [1]
						2, -- [2]
						3, -- [3]
						4, -- [4]
						5, -- [5]
						6, -- [6]
						7, -- [7]
						8, -- [8]
						9, -- [9]
						10, -- [10]
						11, -- [11]
					}, -- [1]
					{
						1, -- [1]
						2, -- [2]
						3, -- [3]
						4, -- [4]
						5, -- [5]
						6, -- [6]
						7, -- [7]
						8, -- [8]
						9, -- [9]
						10, -- [10]
						11, -- [11]
					}, -- [2]
					{
						1, -- [1]
						2, -- [2]
						3, -- [3]
						4, -- [4]
						5, -- [5]
						6, -- [6]
						7, -- [7]
						8, -- [8]
						9, -- [9]
					}, -- [3]
				},
				["Tooltips"] = true,
				["ESChargesOnly"] = false,
				["ShieldMiddleButton"] = "Totemic Recall",
				["WeaponTracker"] = false,
				["MenusAlwaysVisible"] = false,
				["HideBlizzTimers"] = true,
				["BarBindings"] = false,
				["ShieldRightButton"] = "Water Shield",
				["WeaponMenuOnRightclick"] = false,
				["EarthShieldTargetName"] = true,
				["WeaponBarDirection"] = "auto",
				["LastMainEnchants"] = {
					[103936] = {
						"", -- [1]
						"INTERFACE\\ICONS\\spell_shaman_unleashweapon_flame", -- [2]
					},
					[103340] = {
						"", -- [1]
						"INTERFACE\\ICONS\\spell_shaman_unleashweapon_flame", -- [2]
					},
				},
				["TimersOnButtons"] = false,
				["TotemSets"] = {
				},
				["TimeStyle"] = "mm:ss",
				["FramePositions"] = {
					["TotemTimers_CastBar2"] = {
						"CENTER", -- [1]
						nil, -- [2]
						"CENTER", -- [3]
						-200, -- [4]
						-225, -- [5]
					},
					["TotemTimers_CastBar4"] = {
						"CENTER", -- [1]
						nil, -- [2]
						"CENTER", -- [3]
						50, -- [4]
						-225, -- [5]
					},
					["TotemTimers_LongCooldownsFrame"] = {
						"CENTER", -- [1]
						nil, -- [2]
						"CENTER", -- [3]
						150, -- [4]
						-80, -- [5]
					},
					["TotemTimers_EnhanceCDsFrame"] = {
						"CENTER", -- [1]
						nil, -- [2]
						"CENTER", -- [3]
						0, -- [4]
						-170, -- [5]
					},
					["TotemTimers_CastBar3"] = {
						"CENTER", -- [1]
						nil, -- [2]
						"CENTER", -- [3]
						50, -- [4]
						-190.000015258789, -- [5]
					},
					["TotemTimers_CrowdControlFrame"] = {
						"CENTER", -- [1]
						nil, -- [2]
						"CENTER", -- [3]
						-50, -- [4]
						-50, -- [5]
					},
					["TotemTimersFrame"] = {
						"BOTTOM", -- [1]
						nil, -- [2]
						"BOTTOM", -- [3]
						-274.666717529297, -- [4]
						59.6672096252442, -- [5]
					},
					["TotemTimers_TrackerFrame"] = {
						"CENTER", -- [1]
						nil, -- [2]
						"CENTER", -- [3]
						50, -- [4]
						0, -- [5]
					},
					["TotemTimers_CastBar1"] = {
						"CENTER", -- [1]
						nil, -- [2]
						"CENTER", -- [3]
						-200, -- [4]
						-190.000015258789, -- [5]
					},
				},
				["FulminationGlow"] = true,
				["EarthShieldRightButton"] = "target",
				["LongCooldownsArrange"] = "horizontal",
				["CDTimersOnButtons"] = true,
				["LastTotems"] = {
					3599, -- [1]
					8143, -- [2]
					5394, -- [3]
					8177, -- [4]
				},
				["TrackerSpacing"] = 5,
				["EarthShieldMiddleButton"] = "targettarget",
				["ShowOmniCCOnEnhanceCDs"] = true,
				["Timer_Clickthrough"] = false,
				["TotemOrder"] = {
					{
						2894, -- [1]
						3599, -- [2]
						8190, -- [3]
					}, -- [1]
					{
						2484, -- [1]
						108270, -- [2]
						2062, -- [3]
						8143, -- [4]
						51485, -- [5]
					}, -- [2]
					{
						5394, -- [1]
						16190, -- [2]
						108280, -- [3]
					}, -- [3]
					{
						8177, -- [1]
						108269, -- [2]
						120668, -- [3]
						98008, -- [4]
						108273, -- [5]
					}, -- [4]
				},
			},
		}

		for k,v in pairs(settings) do
			TotemTimers_Profiles[k] = v
		end
	end
end